Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class TableHeaderFooterInfo

    java.lang.Object
      jet.api.TableHeaderFooterInfo

    public class TableHeaderFooterInfo

extends java.lang.Object

The TableHeaderFooterInfo defines the constructor and information of a JReport table header or footer object.

Constructor Summary
`TableHeaderFooterInfo(java.util.Vector displayInfos)` Constructor.
`TableHeaderFooterInfo(java.util.Vector displayInfos, double width, double height)` Constructor.

Method Summary
`boolean` | `addDisplayInfo(DisplayFieldInfo displayFieldInfo)` Appends a DisplayFieldInfo definition in this container.
`void` | `addDisplayInfo(int index, DisplayFieldInfo element)` Inserts a DisplayFieldInfo definition of the container at the specified position.
`void` | `clearDisplayInfos()` Removes all of the DisplayFieldInfo definitions from the container.
`DisplayFieldInfo` | `getDisplayInfo(int index)` Gets the DisplayFieldInfo at the specified position.
`java.util.Vector` | `getDisplayInfos()` Gets DisplayFieldInfos' definition of the header/footer container.
`double` | `getHeight()` Gets the height of the table header or footer.
`double` | `getWidth()` Gets the width of the table header.
`boolean` | `isVerticalToDetail()` Indicates whether there is a Vertical Group Header in the table.
`boolean` | `removeDisplayInfo(DisplayFieldInfo displayInfo)` Removes the first occurrence of the DisplayFieldInfo.
`DisplayFieldInfo` | `removeDisplayInfo(int index)` Removes the DisplayFieldInfo at the specified position.
`void` | `setDisplayInfos(java.util.Vector displayInfos)` Sets DisplayFieldInfos' definition of the header/footer container.
`void` | `setHeight(double height)` Sets the height of the table header or footer.
`void` | `setVerticalToDetail(boolean isVerticaltoDetail)` Sets whether to create a Vertical Group Header in the table.
`void` | `setWidth(double width)` Sets the width of the table header.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableHeaderFooterInfo

    public TableHeaderFooterInfo(java.util.Vector displayInfos)

  Constructor. Creates the definition of a Table's Header/Footer context.

  Parameters:
    `displayInfos` - A set of DisplayFieldInfo of the table's Header/Footer section. See also `DisplayFieldInfo`

### TableHeaderFooterInfo

    public TableHeaderFooterInfo(java.util.Vector displayInfos,
                                 double width,
                                 double height)

  Constructor. Creates Information of a Table's Header/Footer context

  Parameters:
    `displayInfos` - A set of DisplayFieldInfo of table's Header/Footer section. See also `DisplayFieldInfo`
    `width` - Predefined Table's Header/Footer width.
    `height` - Predefined Table's Header/Footer height.

Method Detail

### getDisplayInfos

    public java.util.Vector getDisplayInfos()

  Gets DisplayFieldInfos' definition of the header/footer container.

  Returns:
    Vector of DisplayFieldInfos.

### setDisplayInfos

    public void setDisplayInfos(java.util.Vector displayInfos)

  Sets DisplayFieldInfos' definition of the header/footer container.

### addDisplayInfo

    public void addDisplayInfo(int index,
                               DisplayFieldInfo element)

  Inserts a DisplayFieldInfo definition of the container at the specified position.

  Parameters:
    `index` - Specifies at which the DisplayFieldInfo to be inserted.
    `element` - DisplayFieldInfo to be inserted.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is out of range (index < 0 || index > size()).

### addDisplayInfo

    public boolean addDisplayInfo(DisplayFieldInfo displayFieldInfo)

  Appends a DisplayFieldInfo definition in this container.

  Parameters:
    `displayFieldInfo` - DisplayFieldInfo to be appended.
  Returns:
    `true` if the DisplayFieldInfo is inserted successfully; `false`otherwise.``

### clearDisplayInfos

    public void clearDisplayInfos()

  Removes all of the DisplayFieldInfo definitions from the container.

### getDisplayInfo

    public DisplayFieldInfo getDisplayInfo(int index)

  Gets the DisplayFieldInfo at the specified position.

  Parameters:
    `index` - Index of DisplayFieldInfo in the container.
  Returns:
    DisplayFieldInfo at the specified index.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is out of range (index < 0 || index >= size()).

### removeDisplayInfo

    public DisplayFieldInfo removeDisplayInfo(int index)

  Removes the DisplayFieldInfo at the specified position. Shifts all subsequent DisplayFieldInfo to the left (subtracts one from the indices).

  Parameters:
    `index` - The index of the DisplayFieldInfo to be removed.
  Returns:
    DisplayFieldInfo that is removed.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is out of range (index < 0 || index >= size()).

### removeDisplayInfo

    public boolean removeDisplayInfo(DisplayFieldInfo displayInfo)

  Removes the first occurrence of the DisplayFieldInfo. If the Vector does not contain the DisplayFieldInfo, it is unchanged. More formally, removes the DisplayFieldInfo with the lowest index.

  Parameters:
    `displayInfo` - DisplayFieldInfo to be removed.
  Returns:
    `true` if the Header/footerInfo contains the displayInfo and removes it; `false` otherwise.

### getHeight

    public double getHeight()

  Gets the height of the table header or footer.

  Returns:
    table's height value. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### setHeight

    public void setHeight(double height)

  Sets the height of the table header or footer.

  Parameters:
    `height` - The height of the table header/footer. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### getWidth

    public double getWidth()

  Gets the width of the table header. Currently the table's header's/footer's width depends on the table's width.

  Returns:
    table width.

### setWidth

    public void setWidth(double width)

  Sets the width of the table header. Currently the table's header's/footer's width is depend on the table's width.

  Parameters:
    `width` - The width of the table header.

### setVerticalToDetail

    public void setVerticalToDetail(boolean isVerticaltoDetail)

  Sets whether to create a Vertical Group Header in the table.

  Parameters:
    `isVerticaltoDetail` - Sets true when it is a Vertical Group Header in the table.

### isVerticalToDetail

    public boolean isVerticalToDetail()

  Indicates whether there is a Vertical Group Header in the table.

  Returns:
    true when there is a Vertical Group Header in the table.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD